Subject: Re: [bess] Robert Wilton's Discuss on draft-ietf-bess-evpn-na-flags-06: (with DISCUSS)

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Fri, 9 Oct 2020 09:30:03 +0000

Hi Robert,

Thank you for the review.
Please see my comments in-line with [jorge].

Jorge

From: Robert Wilton via Datatracker <[email-masked]>
Date: Tuesday, September 22, 2020 at 10:44 PM
To: The IESG <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, Bocci, Matthew (Nokia - GB) <[email-masked]>, Bocci, Matthew (Nokia - GB) <[email-masked]>
Subject: Robert Wilton's Discuss on draft-ietf-bess-evpn-na-flags-06: (with DISCUSS)
Robert Wilton has entered the following ballot position for
draft-ietf-bess-evpn-na-flags-06: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-na-flags/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Hi,

Hopefully a relatively easy discuss to resolve and this might just be my
ignorance here:

Section 2 states that I flag is used for an immutable ARP/ND Binding which is
for a configured ARP/ND entry.

Section 3.2 Reception of the EVPN ARP/ND Extended Community, has the following
text:

      *  Receiving multiple EVPN MAC/IP Advertisement routes with I=1
         for the same IP but different MAC is considered a
         misconfiguration.

But wouldn't this scenario occur if the configured ARP/ND entry was changed to
point to a new MAC address?
[jorge] well, it shouldn’t happen. The old route should be withdrawn before the new one is advertised. I added a sentence in case it helps:
“Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration. Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised.”
Would that help?

Regards,
Rob

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 12 Oct 2020 13:18:25 +0000

Hi Jorge,

Please see [RW] inline

From: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>
Sent: 09 October 2020 10:30
To: Rob Wilton (rwilton) <[email-masked]>; The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Bocci, Matthew (Nokia - GB) <[email-masked]>
Subject: Re: Robert Wilton's Discuss on draft-ietf-bess-evpn-na-flags-06: (with DISCUSS)

Hi Robert,

Jorge

From: Robert Wilton via Datatracker <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 22, 2020 at 10:44 PM
To: The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>, Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>
Subject: Robert Wilton's Discuss on draft-ietf-bess-evpn-na-flags-06: (with DISCUSS)
Robert Wilton has entered the following ballot position for
draft-ietf-bess-evpn-na-flags-06: Discuss

Hi,

But wouldn't this scenario occur if the configured ARP/ND entry was changed to
point to a new MAC address?
[jorge] well, it shouldn't happen. The old route should be withdrawn before the new one is advertised. I added a sentence in case it helps:
"Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration. Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised."
Would that help?
[RW]
Although I appreciate that the old route should be withdrawn, and hence this shouldn't happen, I'm less convinced that this situation could never occur, and hence I would prefer for the specification to state what the receiver does in this scenario does occur.  I presume that the only safe action would be to update the IP->MAC binding?
Regards,
Rob

Regards,
Rob

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Mon, 12 Oct 2020 13:30:49 +0000

Hi Rob,

Thank you.
In-line.

From: Rob Wilton (rwilton) <[email-masked]>
Date: Monday, October 12, 2020 at 3:18 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>, The IESG <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, Bocci, Matthew (Nokia - GB) <[email-masked]>
Subject: RE: Robert Wilton's Discuss on draft-ietf-bess-evpn-na-flags-06: (with DISCUSS)
Hi Jorge,

Please see [RW] inline

Hi Robert,

Jorge

Hi,

But wouldn't this scenario occur if the configured ARP/ND entry was changed to
point to a new MAC address?
[jorge] well, it shouldn’t happen. The old route should be withdrawn before the new one is advertised. I added a sentence in case it helps:
“Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration. Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised.”
Would that help?
[RW]
Although I appreciate that the old route should be withdrawn, and hence this shouldn’t happen, I’m less convinced that this situation could never occur, and hence I would prefer for the specification to state what the receiver does in this scenario does occur.  I presume that the only safe action would be to update the IP->MAC binding?
Regards,
Rob
[jorge2] sure, still a misconfiguration or a transient condition. Would this address your concern? (see below) If so, I’ll add it in the next revision along with other comments from the other reviews:
“Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration. In case this misconfiguration happens in the network, a PE receiving multiple routes (with I=1 for the same IP and different MAC) will update the IP->MAC entry with the latest received information. Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised.”

Regards,
Rob

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 12 Oct 2020 13:46:35 +0000

Hi Jorge,

In-line [RW2].

Sent: 12 October 2020 14:31

Hi Rob,

Thank you.
In-line.

From: Rob Wilton (rwilton) <[email-masked]<mailto:[email-masked]>>
Date: Monday, October 12, 2020 at 3:18 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>, The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>
Subject: RE: Robert Wilton's Discuss on draft-ietf-bess-evpn-na-flags-06: (with DISCUSS)
Hi Jorge,

Please see [RW] inline

From: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>
Sent: 09 October 2020 10:30
To: Rob Wilton (rwilton) <[email-masked]<mailto:[email-masked]>>; The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Bocci, Matthew (Nokia - GB) <[email-masked]<mailto:[email-masked]>>
Subject: Re: Robert Wilton's Discuss on draft-ietf-bess-evpn-na-flags-06: (with DISCUSS)

Hi Robert,

Jorge

Hi,

But wouldn't this scenario occur if the configured ARP/ND entry was changed to
point to a new MAC address?
[jorge] well, it shouldn't happen. The old route should be withdrawn before the new one is advertised. I added a sentence in case it helps:
"Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration. Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised."
Would that help?
[RW]
Although I appreciate that the old route should be withdrawn, and hence this shouldn't happen, I'm less convinced that this situation could never occur, and hence I would prefer for the specification to state what the receiver does in this scenario does occur.  I presume that the only safe action would be to update the IP->MAC binding?
Regards,
Rob
[jorge2] sure, still a misconfiguration or a transient condition. Would this address your concern? (see below) If so, I'll add it in the next revision along with other comments from the other reviews:
"Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration. In case this misconfiguration happens in the network, a PE receiving multiple routes (with I=1 for the same IP and different MAC) will update the IP->MAC entry with the latest received information. Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised."
[RW2]
Yes, I think that captures the sentiment.   Possibly, it might help to elaborate on the first sentence, and add RFC2119.  E.g.,
"Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration or a transient error condition.  If this happens in the network, a PE receiving multiple routes (with I=1 for the same IP and a different MAC address) MUST* update the IP->MAC entry with the latest received information.  Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised."
*, I'm not sure whether this is a MUST or a SHOULD.  E.g., if this was a misconfiguration scenario, might the receiver of the message choose to dampen the updates?
Thanks,
Rob

Regards,
Rob

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Mon, 12 Oct 2020 13:59:06 +0000

Hi Rob,

I think a SHOULD is better – it’s good to align implementations, but if one chooses to make a different selection, instead of the latest one, I don’t think we can’t prevent that. At the end of the day, this is a misconfiguration or a transient condition, so the functionality is not affected either way.

I’ll modify it as follows, unless anyone has a strong opinion:

<snip> Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration or a transient error condition. If this happens in the network, a PE receiving multiple routes (with I=1 for the same IP and a different MAC address) SHOULD update the IP->MAC entry with the latest received information <snip>

Let me know if you are ok with it please.
Thank you!
Jorge

Date: Monday, October 12, 2020 at 3:46 PM

In-line [RW2].

Hi Rob,

Thank you.
In-line.

Please see [RW] inline

Hi Robert,

Jorge

Hi,

“Receiving multiple EVPN MAC/IP Advertisement routes with I=1 for the same IP but different MAC is considered a misconfiguration or a transient error condition.  If this happens in the network, a PE receiving multiple routes (with I=1 for the same IP and a different MAC address) MUST* update the IP->MAC entry with the latest received information.  Note that if a configured IP1->MAC1 changes to point to a new MAC address, i.e., IP1->MAC2, the EVPN MAC/IP Advertisement route for IP1->MAC1 will be withdrawn before the EVPN MAC/IP Advertisement route for IP1->MAC2 is advertised.”
*, I’m not sure whether this is a MUST or a SHOULD.  E.g., if this was a misconfiguration scenario, might the receiver of the message choose to dampen the updates?
Thanks,
Rob

Regards,
Rob

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Mon, 12 Oct 2020 14:21:12 +0000

Looks good to me.

Regards,
Rob

Sent: 12 October 2020 14:59

Hi Rob,

I think a SHOULD is better - it's good to align implementations, but if one chooses to make a different selection, instead of the latest one, I don't think we can't prevent that. At the end of the day, this is a misconfiguration or a transient condition, so the functionality is not affected either way.

I'll modify it as follows, unless anyone has a strong opinion:

In-line [RW2].

Hi Rob,

Thank you.
In-line.

Please see [RW] inline

Hi Robert,

Jorge

Hi,

Regards,
Rob

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Mon, 12 Oct 2020 14:48:43 +0000

Thank you Rob!
Jorge

Date: Monday, October 12, 2020 at 4:21 PM

Regards,
Rob

Hi Rob,

In-line [RW2].

Hi Rob,

Thank you.
In-line.

Please see [RW] inline

Hi Robert,

Jorge

Hi,

Regards,
Rob